Bug 21948 - Clean up style of item detail page
Summary: Clean up style of item detail page
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords: Academy
Depends on: 21304
Blocks: 20654
  Show dependency treegraph
 
Reported: 2018-12-04 19:52 UTC by Owen Leonard
Modified: 2019-04-30 12:21 UTC (History)
9 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 21948: Clean up style of item detail page (5.21 KB, patch)
2018-12-05 13:21 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21948: Clean up style of item detail page (5.21 KB, patch)
2019-03-04 12:50 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21948: Clean up style of item detail page (5.28 KB, patch)
2019-03-04 23:14 UTC, Hayley Mapley
Details | Diff | Splinter Review
Bug 21948: Clean up style of item detail page (5.28 KB, patch)
2019-03-06 06:56 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-12-04 19:52:43 UTC
There are some page-specific styles for the item detail page which can be removed. This patch will add some markup to the page to trigger the more generally-used style.
Comment 1 Josef Moravec 2018-12-05 06:37:19 UTC
After this work, the bug 18061 could became duplicate, which is absolutely OK ;)
Comment 2 Owen Leonard 2018-12-05 13:21:20 UTC Comment hidden (obsolete)
Comment 3 Owen Leonard 2018-12-05 13:22:24 UTC
(In reply to Josef Moravec from comment #1)
> After this work, the bug 18061 could became duplicate

This patch makes very minor changes, so there is still plenty of room for a more thorough overhaul if necessary.
Comment 4 Hayley Mapley 2019-03-04 04:09:14 UTC
Patch does not apply.

Applying: Bug 21948: Clean up style of item detail page
.git/rebase-apply/patch:46: trailing whitespace.
        <li><span class="label">No. of items:</span> [% count | html %]&nbsp;[% IF ( hiddencount ) %]total ([% showncount | html %] shown / [% hiddencount | html %] hidden) 
error: sha1 information is lacking or useless (koha-tmpl/intranet-tmpl/prog/css/src/staff-global.scss).
error: could not build fake ancestor
Patch failed at 0001 Bug 21948: Clean up style of item detail page
The copy of the patch that failed is found in: .git/rebase-apply/patch
Comment 5 Owen Leonard 2019-03-04 12:50:56 UTC
Created attachment 85981 [details] [review]
Bug 21948: Clean up style of item detail page

This patch removes some page-specific style from the item detail page in
the staff client and adds some markup in order to trigger a more
generally-used style.

This patch also adds a font-awesome icon to the "Edit item" link on the
page.

To test, apply the patch and regenerate the staff client CSS. Open a
bibliographic record and view the "Items tab."
Comment 6 Owen Leonard 2019-03-04 12:52:13 UTC
(In reply to Hayley Mapley from comment #4)
> Patch does not apply.
> error: sha1 information is lacking or useless

Usually this kind of error means the patch required a dependency (Bug 21304), but I have rebased both patches to be safe.
Comment 7 Hayley Mapley 2019-03-04 23:14:53 UTC
Created attachment 86045 [details] [review]
Bug 21948: Clean up style of item detail page

This patch removes some page-specific style from the item detail page in
the staff client and adds some markup in order to trigger a more
generally-used style.

This patch also adds a font-awesome icon to the "Edit item" link on the
page.

To test, apply the patch and regenerate the staff client CSS. Open a
bibliographic record and view the "Items tab."

Signed-off-by: Hayley Mapley <hayleymapley@catalyst.net.nz>
Comment 8 Katrin Fischer 2019-03-06 06:56:13 UTC
Created attachment 86125 [details] [review]
Bug 21948: Clean up style of item detail page

This patch removes some page-specific style from the item detail page in
the staff client and adds some markup in order to trigger a more
generally-used style.

This patch also adds a font-awesome icon to the "Edit item" link on the
page.

To test, apply the patch and regenerate the staff client CSS. Open a
bibliographic record and view the "Items tab."

Signed-off-by: Hayley Mapley <hayleymapley@catalyst.net.nz>
Comment 9 Nick Clemens 2019-03-22 20:36:04 UTC
Awesome work all!

Pushed to master for 19.05
Comment 10 Martin Renvoize 2019-04-01 10:28:15 UTC
Always nice to have a little tidy up.. pushed to 18.11.x for 18.11.05
Comment 11 Lucas Gass 2019-04-01 15:51:53 UTC
not backporting enhancement to 18.05.x